<?php
// This file is part of the SEO Booster PRO package. 
//
// Built with code borrowed from IAM CSV dump (http://www.mt-soft.com.ar/2007/06/19/csv-dump/")

	require('../../../wp-blog-header.php');
 	global $wpdb, $wp_version;
 	$table_name = $wpdb->prefix . "myseostatus";	
 	$blogurl=get_bloginfo('url');	
	$now = gmdate('D, d M Y H:i:s') . ' GMT';

	$out .= "mySEOStatus Export\r\n"; //header
	$out .= "Exported $now\r\n\r\n"; //header
	
	$out .= "Backlinks\r\n\r\n"; //header
	
	$out .= "Type;Date;Value\r\n"; //header

	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='ylinks' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Yahoo Backlinks".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 
	
	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='glinks' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Google Backlinks".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 	

	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='alinks' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Altavista Backlinks".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 	


	$out .= "\r\n"; 	

	$out .= "Indexed Pages\r\n\r\n"; //header
	
	$out .= "Type;Date;Value\r\n"; //header
	
	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='aindex' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Altavista Indexation".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 	
	
	
	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='gindex' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Google Indexation".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 		
		
	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='yindex' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Yahoo Indexation".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 	
	
	$query = "SELECT Date,value  FROM `$table_name` where `datatype`='bindex' group by `Date` order by `Date` desc"; 
	$posthits = $wpdb->get_results($query, ARRAY_A);
	foreach ($posthits as $hits) {
		$out .= "Bing Indexation".";".$hits['Date'].";".$hits['value']."\r\n"; //data
	} 
	$out .= "\r\n"; 	
	
	
	
	header('Content-Type: ');
	header('Expires: ' . $now);
	header('Content-Disposition: attachment; filename="myseostatusexport.csv"');
	header('Pragma: no-cache');
	echo $out;
	exit;

?>